| OGRE 1.10.11 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | List of all members
Ogre::InstancedGeometry::LODBucket Class Reference

A LODBucket is a collection of smaller buckets with the same LOD. More...

`#include <OgreInstancedGeometry.h>`

Inheritance diagram for Ogre::InstancedGeometry::LODBucket:
[legend]

## Public Types
typedef map< String, MaterialBucket * >::type | MaterialBucketMap
| Lookup of Material Buckets in this BatchInstance. More...
typedef MapIterator< MaterialBucketMap > | MaterialIterator
| Iterator over the materials in this LOD. More...

## Public Member Functions
| LODBucket (BatchInstance *parent, unsigned short lod, Real lodValue)
virtual | ~LODBucket ()
void | addRenderables (RenderQueue *queue, uint8 group, Real lodValue)
| Add children to the render queue. More...
void | assign (QueuedSubMesh *qsm, ushort atLod)
| Assign a queued submesh to this bucket, using specified mesh LOD. More...
void | build ()
| Build. More...
void | dump (std::ofstream &of) const
| Dump contents for diagnostics. More...
ushort | getLod (void) const
| Get the LOD index. More...
Real | getLodValue (void) const
| Get the LOD value. More...
MaterialIterator | getMaterialIterator (void)
| Get an iterator over the materials in this LOD. More...
BatchInstance * | getParent (void)
void | updateContainers (MaterialBucket *bucket, String &name)
| fill the map More...
void | visitRenderables (Renderable::Visitor *visitor, bool debugRenderables)

## Detailed Description

A LODBucket is a collection of smaller buckets with the same LOD.

Remarks
  LOD refers to Mesh LOD here. Material LOD can change separately at the next bucket down from this.

## Member Typedef Documentation

## ◆ MaterialBucketMap

typedef map<String, MaterialBucket*>::type Ogre::InstancedGeometry::LODBucket::MaterialBucketMap

Lookup of Material Buckets in this BatchInstance.

## ◆ MaterialIterator

typedef MapIterator<MaterialBucketMap> Ogre::InstancedGeometry::LODBucket::MaterialIterator

Iterator over the materials in this LOD.

## Constructor & Destructor Documentation

## ◆ LODBucket()

Ogre::InstancedGeometry::LODBucket::LODBucket | ( | BatchInstance * | parent,
|  | unsigned short | lod,
|  | Real | lodValue
| ) |  |

## ◆ ~LODBucket()

virtual Ogre::InstancedGeometry::LODBucket::~LODBucket | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getParent()

BatchInstance* Ogre::InstancedGeometry::LODBucket::getParent | ( | void |  | ) |
| inline

## ◆ getLod()

ushort Ogre::InstancedGeometry::LODBucket::getLod | ( | void |  | ) | const
| inline

Get the LOD index.

## ◆ getLodValue()

Real Ogre::InstancedGeometry::LODBucket::getLodValue | ( | void |  | ) | const
| inline

Get the LOD value.

## ◆ assign()

void Ogre::InstancedGeometry::LODBucket::assign | ( | QueuedSubMesh * | qsm,
|  | ushort | atLod
| ) |  |

Assign a queued submesh to this bucket, using specified mesh LOD.

## ◆ build()

void Ogre::InstancedGeometry::LODBucket::build | ( |  | ) |

Build.

## ◆ addRenderables()

void Ogre::InstancedGeometry::LODBucket::addRenderables | ( | RenderQueue * | queue,
|  | uint8 | group,
|  | Real | lodValue
| ) |  |

Add children to the render queue.

## ◆ getMaterialIterator()

MaterialIterator Ogre::InstancedGeometry::LODBucket::getMaterialIterator | ( | void |  | ) |

Get an iterator over the materials in this LOD.

## ◆ dump()

void Ogre::InstancedGeometry::LODBucket::dump | ( | std::ofstream & | of | ) | const

Dump contents for diagnostics.

## ◆ updateContainers()

void Ogre::InstancedGeometry::LODBucket::updateContainers | ( | MaterialBucket * | bucket,
|  | String & | name
| ) |  |

fill the map

## ◆ visitRenderables()

void Ogre::InstancedGeometry::LODBucket::visitRenderables | ( | Renderable::Visitor * | visitor,
|  | bool | debugRenderables
| ) |  |

The documentation for this class was generated from the following file:

- OgreInstancedGeometry.h